Name:           perl-Test-Modern
Version:        0.013
Release:        1%{?dist}
Summary:        Precision testing for modern perl
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Test-Modern/
Source0:        http://www.cpan.org/authors/id/T/TO/TOBYINK/Test-Modern-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 0:5.006001
BuildRequires:  perl(Exporter::Tiny) >= 0.030
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Import::Into) >= 1.002000
BuildRequires:  perl(Module::Runtime) >= 0.012
BuildRequires:  perl(Test::API) >= 0.004
BuildRequires:  perl(Test::Deep) >= 0.111
BuildRequires:  perl(Test::Fatal) >= 0.007
BuildRequires:  perl(Test::LongString) >= 0.15
BuildRequires:  perl(Test::More) >= 0.96
BuildRequires:  perl(Test::Warnings) >= 0.009
BuildRequires:  perl(Try::Tiny) >= 0.15
Requires:       perl(Exporter::Tiny) >= 0.030
Requires:       perl(Import::Into) >= 1.002000
Requires:       perl(Module::Runtime) >= 0.012
Requires:       perl(Test::API) >= 0.004
Requires:       perl(Test::Deep) >= 0.111
Requires:       perl(Test::Fatal) >= 0.007
Requires:       perl(Test::LongString) >= 0.15
Requires:       perl(Test::More) >= 0.96
Requires:       perl(Test::Warnings) >= 0.009
Requires:       perl(Try::Tiny) >= 0.15
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Test::Modern provides the best features of Test::More, Test::Fatal,
Test::Warnings, Test::API, Test::LongString, and Test::Deep, as well as
ideas from Test::Requires, Test::DescribeMe, Test::Moose, and
Test::CleanNamespaces.

%prep
%setup -q -n Test-Modern-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes CONTRIBUTING COPYRIGHT CREDITS dist.ini doap.ttl LICENSE META.json README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Jul 31 2015 Dave Cross <dave@mag-sol.com> 0.013-1
- Specfile autogenerated by cpanspec 1.78.
